/**
 * Internal use only. These functions should only be used as part of the initial validation of
 * the LDContext object. Thereafter, the Context object should be used.
 */
import type { LDContext, LDMultiKindContext, LDSingleKindContext, LDUser } from '../../api';
/**
 * Check if a context is a single kind context.
 * @param context
 * @returns true if the context is a single kind context.
 */
export declare function isSingleKind(context: LDContext): context is LDSingleKindContext;
/**
 * Check if a context is a multi-kind context.
 * @param context
 * @returns true if it is a multi-kind context.
 */
export declare function isMultiKind(context: LDContext): context is LDMultiKindContext;
/**
 * Check if a context is a legacy user context.
 * @param context
 * @returns true if it is a legacy user context.
 */
export declare function isLegacyUser(context: LDContext): context is LDUser;
//# sourceMappingURL=index.d.ts.map