/**
 * Metadata used to initialize an LDFeatureStore.
 */
export interface InitMetadata {
    environmentId: string;
}
/**
 * Creates an InitMetadata object from initialization headers.
 *
 * @param initHeaders Initialization headers received when establishing
 * a streaming or polling connection to LD.
 * @returns InitMetadata object, or undefined if initHeaders is undefined
 * or missing the required header values.
 */
export declare function initMetadataFromHeaders(initHeaders?: {
    [key: string]: string;
}): InitMetadata | undefined;
//# sourceMappingURL=InitMetadata.d.ts.map