import InputEvent from './InputEvent';
/**
 * Interface for summarizing feature flag evaluations bucketed by the context.
 */
export interface LDMultiEventSummarizer {
    /**
     * Processes an event for summarization if it is a feature flag event and not excluded from summaries.
     * @param event The event to potentially summarize
     */
    summarizeEvent(event: InputEvent): void;
    /**
     * Gets the current summary of processed events.
     * @returns A summary of all processed feature flag events
     */
    getSummaries(): SummarizedFlagsEvent[];
}
/**
 * Interface for summarizing feature flag evaluation events.
 */
export default interface LDEventSummarizer {
    /**
     * Processes an event for summarization if it is a feature flag event and not excluded from summaries.
     * @param event The event to potentially summarize
     */
    summarizeEvent(event: InputEvent): void;
    /**
     * Gets the current summary of processed events.
     * @returns A summary of all processed feature flag events
     */
    getSummary(): SummarizedFlagsEvent;
}
//# sourceMappingURL=LDEventSummarizer.d.ts.map